V1MeMoodCheckinsIdDelete
Queue journaled erasure of your check-in and its versions
Immediately excludes this check-in from daily history. Pending is not erased: the private worker verifies an encrypted erasure intent before removing its data. A metadata-only receipt remains.
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/me/mood/checkins/497f6eca-6276-4993-bfeb-53cbbbba6f08/delete" \ -H "Content-Type: application/json" \ -d '{ "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "expectedVersion": 1 }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "checkinId": "e1172360-3cdf-42e1-855e-8096b773ab26", "status": "pending", "requestedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z"}